Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.endpoint
Interface Endpoint

All Superinterfaces:
  InterceptorProvider, Map<String,Object>

    public interface Endpoint

extends Map<String,Object>, InterceptorProvider

Represents an endpoint that receives messages.

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`Map.Entry<K,V>`

Method Summary
`List<AbstractFeature>` | `getActiveFeatures()`
`Binding` | `getBinding()`
`EndpointInfo` | `getEndpointInfo()`
`Executor` | `getExecutor()`
`MessageObserver` | `getInFaultObserver()`
`MessageObserver` | `getOutFaultObserver()`
`Service` | `getService()`
`void` | `setExecutor(Executor executor)`
`void` | `setInFaultObserver(MessageObserver observer)`
`void` | `setOutFaultObserver(MessageObserver observer)`

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from interface org.apache.cxf.interceptor.InterceptorProvider
`getInFaultInterceptors, getInInterceptors, getOutFaultInterceptors, getOutInterceptors`

Method Detail

### getEndpointInfo

    EndpointInfo getEndpointInfo()

### getBinding

    Binding getBinding()

### getService

    Service getService()

### setExecutor

    void setExecutor(Executor executor)

### getExecutor

    Executor getExecutor()

### getInFaultObserver

    MessageObserver getInFaultObserver()

### getOutFaultObserver

    MessageObserver getOutFaultObserver()

### setInFaultObserver

    void setInFaultObserver(MessageObserver observer)

### setOutFaultObserver

    void setOutFaultObserver(MessageObserver observer)

### getActiveFeatures

    List<AbstractFeature> getActiveFeatures()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF